import { RouteDefinition, RoutesRegistry } from './routes';
import { PropsWithChildren } from 'react';

interface RoutesContext<T extends RouteDefinition = RouteDefinition> {
    routes: RoutesRegistry<T>;
}
export declare const useRoutes: () => RoutesContext;
export interface RouterProviderProps<T extends RouteDefinition = RouteDefinition> extends PropsWithChildren<any> {
    routes?: RoutesRegistry<T>;
}
export declare const RoutesProvider: {
    <T extends RouteDefinition = RouteDefinition>({ routes, children, }: RouterProviderProps<T>): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
export declare const Router: {
    (): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
export {};
