import { default as React, ComponentType } from 'react';
import { SvgIconProps } from '@mui/material';

export declare const Edit = "edit";
export declare const New = "new";
export interface RouteDefinition {
    priority?: number;
    path: string;
    label?: string;
    component?: React.ReactNode;
    show?: boolean;
    icon?: ComponentType<SvgIconProps>;
    hasBottomNavigation?: boolean;
    bottomEnd?: boolean;
    subRoutes?: RoutesRegistry;
    navigate: (args?: any) => string;
}
export interface RoutesRegistry<T extends RouteDefinition = RouteDefinition> {
    [key: string]: T;
}
export declare const MainRoutesRegistry: RoutesRegistry<any>;
export declare const register: <T extends RouteDefinition = RouteDefinition>(name: string, route: T) => void;
